Schedules
Get a schedule
Retrieves the specified schedule resource.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Параметры пути
id
string
обязательно
Identifier of the schedule.
Параметры заголовка
Foundry-Features
enum
обязательно
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Ответы
The request has succeeded.
Текст
id
string
обязательно
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
обязательно
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
обязательно
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
обязательно
expression
string
обязательно
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
обязательно
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
обязательно
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
обязательно
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
обязательно
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
обязательно
Daily recurrence type.
hours
integer[]
обязательно
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
обязательно
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
обязательно
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
обязательно
Monthly recurrence type.
daysOfMonth
integer[]
обязательно
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
обязательно
triggerAt
string
обязательно
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
обязательно
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
обязательно
evalId
string
обязательно
Identifier of the evaluation group.
evalRun
object
обязательно
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
обязательно
insight
Insight
обязательно
The response body for cluster insights.
id
string
обязательно
The unique identifier for the insights report.
metadata
InsightsMetadata
обязательно
Metadata about the insights.
createdAt
string
обязательно
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
обязательно
Enum describing allowed operation states.
enum
displayName
string
обязательно
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
обязательно
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
обязательно
The type of insights request.
evalId
string
обязательно
Evaluation Id for the insights.
runIds
string[]
обязательно
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
обязательно
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
обязательно
The type of request.
agentName
string
обязательно
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
обязательно
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
обязательно
The type of request.
evalId
string
обязательно
Identifier for the evaluation.
baselineRunId
string
обязательно
The baseline run ID for comparison.
treatmentRunIds
string[]
обязательно
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
обязательно
The type of insights result.
comparisons
EvalRunResultComparison[]
обязательно
Comparison results for each treatment run against the baseline.
method
string
обязательно
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
обязательно
The type of insights result.
clusterInsight
ClusterInsightResult
обязательно
Insights from the cluster analysis.
summary
InsightSummary
обязательно
Summary of the error cluster analysis.
sampleCount
integer
обязательно
Total number of samples analyzed.
uniqueSubclusterCount
integer
обязательно
Total number of unique subcluster labels.
uniqueClusterCount
integer
обязательно
Total number of unique clusters.
method
string
обязательно
Method used for clustering.
usage
ClusterTokenUsage
обязательно
Token usage for cluster analysis
inputTokenUsage
integer
обязательно
input token usage
outputTokenUsage
integer
обязательно
output token usage
totalTokenUsage
integer
обязательно
total token usage
clusters
InsightCluster[]
обязательно
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
обязательно
X-axis coordinate.
y
integer
обязательно
Y-axis coordinate.
size
integer
обязательно
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
обязательно
The type of insights result.
clusterInsight
ClusterInsightResult
обязательно
Insights from the cluster analysis.
summary
InsightSummary
обязательно
Summary of the error cluster analysis.
sampleCount
integer
обязательно
Total number of samples analyzed.
uniqueSubclusterCount
integer
обязательно
Total number of unique subcluster labels.
uniqueClusterCount
integer
обязательно
Total number of unique clusters.
method
string
обязательно
Method used for clustering.
usage
ClusterTokenUsage
обязательно
Token usage for cluster analysis
inputTokenUsage
integer
обязательно
input token usage
outputTokenUsage
integer
обязательно
output token usage
totalTokenUsage
integer
обязательно
total token usage
clusters
InsightCluster[]
обязательно
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
обязательно
X-axis coordinate.
y
integer
обязательно
Y-axis coordinate.
size
integer
обязательно
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
обязательно
System metadata for the resource.
Запрос
GET /schedules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json